From 74369e4e9ae7d55077c2b2186d60ccdaf3b8274b Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Thu, 15 Jan 2026 09:52:49 +0000
Subject: [PATCH] ruby: upgrade 3.4.7 -> 4.0.1

---
 ...x-cross-compilation-of-external-gems.patch |   6 +-
 ...ine-REG_S1-and-REG_S2-for-musl-riscv.patch |   4 +-
 ...Obey-LDFLAGS-for-the-link-of-libruby.patch |   6 +-
 ...doc-build-reproducible-documentation.patch |  10 +-
 ...-list-of-object-files-in-generated-M.patch |   6 +-
 ...eproducible-change-fixing-784225-too.patch |   6 +-
 .../0006-Make-gemspecs-reproducible.patch     |  46 +--
 ..._rm_r_no_permissions-test-under-root.patch |   4 +-
 .../ruby/{ruby_3.4.7.bb => ruby_4.0.1.bb}     | 323 +++++++++++++++++-
 9 files changed, 364 insertions(+), 47 deletions(-)
 rename meta/recipes-devtools/ruby/{ruby_3.4.7.bb => ruby_4.0.1.bb} (24%)

diff --git a/meta/recipes-devtools/ruby/ruby/0001-extmk-fix-cross-compilation-of-external-gems.patch b/meta/recipes-devtools/ruby/ruby/0001-extmk-fix-cross-compilation-of-external-gems.patch
index dc33fa9d80..d7730eaaac 100644
--- a/meta/recipes-devtools/ruby/ruby/0001-extmk-fix-cross-compilation-of-external-gems.patch
+++ b/meta/recipes-devtools/ruby/ruby/0001-extmk-fix-cross-compilation-of-external-gems.patch
@@ -1,4 +1,4 @@
-From 2d19806e1d221df9400b25bd67f3e0b7a21bb702 Mon Sep 17 00:00:00 2001
+From 449ed787e6b3e71be2ea5fa2de71778945e29be9 Mon Sep 17 00:00:00 2001
 From: =?UTF-8?q?Andr=C3=A9=20Draszik?= <andre.draszik@jci.com>
 Date: Mon, 30 Sep 2019 16:57:01 +0100
 Subject: [PATCH] extmk: fix cross-compilation of external gems
@@ -16,10 +16,10 @@ Signed-off-by: André Draszik <andre.draszik@jci.com>
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/ext/extmk.rb b/ext/extmk.rb
-index 1d16545..ad971ea 100755
+index 8f847f4..c8a8d9f 100755
 --- a/ext/extmk.rb
 +++ b/ext/extmk.rb
-@@ -434,8 +434,8 @@ else
+@@ -427,8 +427,8 @@ else
  end
  $ruby = [$ruby]
  $ruby << "-I'$(topdir)'"
diff --git a/meta/recipes-devtools/ruby/ruby/0001-vm_dump.c-Define-REG_S1-and-REG_S2-for-musl-riscv.patch b/meta/recipes-devtools/ruby/ruby/0001-vm_dump.c-Define-REG_S1-and-REG_S2-for-musl-riscv.patch
index 4f81d0a19d..8a7dfa3e06 100644
--- a/meta/recipes-devtools/ruby/ruby/0001-vm_dump.c-Define-REG_S1-and-REG_S2-for-musl-riscv.patch
+++ b/meta/recipes-devtools/ruby/ruby/0001-vm_dump.c-Define-REG_S1-and-REG_S2-for-musl-riscv.patch
@@ -1,4 +1,4 @@
-From a5c27826e7561eafcb8dab061e07349232457f10 Mon Sep 17 00:00:00 2001
+From 79a021eed4b6f55fdb1a92453878946160989e31 Mon Sep 17 00:00:00 2001
 From: Khem Raj <raj.khem@gmail.com>
 Date: Tue, 25 Jan 2022 20:29:14 -0800
 Subject: [PATCH] vm_dump.c: Define REG_S1 and REG_S2 for musl/riscv
@@ -14,7 +14,7 @@ Signed-off-by: Khem Raj <raj.khem@gmail.com>
  1 file changed, 5 insertions(+)
 
 diff --git a/vm_dump.c b/vm_dump.c
-index 99339fd..8c5bb03 100644
+index e2b4804..0b7d868 100644
 --- a/vm_dump.c
 +++ b/vm_dump.c
 @@ -40,6 +40,11 @@
diff --git a/meta/recipes-devtools/ruby/ruby/0002-Obey-LDFLAGS-for-the-link-of-libruby.patch b/meta/recipes-devtools/ruby/ruby/0002-Obey-LDFLAGS-for-the-link-of-libruby.patch
index 8ef0c903e8..91caffbae7 100644
--- a/meta/recipes-devtools/ruby/ruby/0002-Obey-LDFLAGS-for-the-link-of-libruby.patch
+++ b/meta/recipes-devtools/ruby/ruby/0002-Obey-LDFLAGS-for-the-link-of-libruby.patch
@@ -1,4 +1,4 @@
-From 3949b3ff01c642b6b9ada9b12dd3083cc930544a Mon Sep 17 00:00:00 2001
+From 68dcc01bbbde79e7834205df71b8884fe3dabe70 Mon Sep 17 00:00:00 2001
 From: Christopher Larson <chris_larson@mentor.com>
 Date: Thu, 5 May 2016 10:59:07 -0700
 Subject: [PATCH] Obey LDFLAGS for the link of libruby
@@ -10,10 +10,10 @@ Upstream-Status: Pending
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/template/Makefile.in b/template/Makefile.in
-index 6b97279..a49b53d 100644
+index 443c394..5f706db 100644
 --- a/template/Makefile.in
 +++ b/template/Makefile.in
-@@ -120,7 +120,7 @@ ENABLE_SHARED = @ENABLE_SHARED@
+@@ -129,7 +129,7 @@ ENABLE_SHARED = @ENABLE_SHARED@
  LDSHARED = @LIBRUBY_LDSHARED@
  DLDSHARED = @DLDSHARED@
  XDLDFLAGS = @DLDFLAGS@
diff --git a/meta/recipes-devtools/ruby/ruby/0003-rdoc-build-reproducible-documentation.patch b/meta/recipes-devtools/ruby/ruby/0003-rdoc-build-reproducible-documentation.patch
index 90b2aee7ea..6755ed65d6 100644
--- a/meta/recipes-devtools/ruby/ruby/0003-rdoc-build-reproducible-documentation.patch
+++ b/meta/recipes-devtools/ruby/ruby/0003-rdoc-build-reproducible-documentation.patch
@@ -1,4 +1,4 @@
-From 2e140fea6c275f3258893d2da2480027b16efb92 Mon Sep 17 00:00:00 2001
+From 588c7772614c77377fd5e7fea43e4532c2514656 Mon Sep 17 00:00:00 2001
 From: Christian Hofstaedtler <zeha@debian.org>
 Date: Tue, 10 Oct 2017 15:04:34 -0300
 Subject: [PATCH] rdoc: build reproducible documentation
@@ -10,13 +10,13 @@ Upstream-Status: Backport [debian]
 Signed-off-by: Antonio Terceiro <terceiro@debian.org>
 Signed-off-by: Christian Hofstaedtler <zeha@debian.org>
 ---
- lib/rdoc/generator/json_index.rb | 4 ++--
+ .bundle/gems/rdoc-7.0.3/lib/rdoc/generator/json_index.rb | 4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)
 
-diff --git a/lib/rdoc/generator/json_index.rb b/lib/rdoc/generator/json_index.rb
+diff --git a/.bundle/gems/rdoc-7.0.3/lib/rdoc/generator/json_index.rb b/.bundle/gems/rdoc-7.0.3/lib/rdoc/generator/json_index.rb
 index 065caa4..cfa1f33 100644
---- a/lib/rdoc/generator/json_index.rb
-+++ b/lib/rdoc/generator/json_index.rb
+--- a/.bundle/gems/rdoc-7.0.3/lib/rdoc/generator/json_index.rb
++++ b/.bundle/gems/rdoc-7.0.3/lib/rdoc/generator/json_index.rb
 @@ -176,7 +176,7 @@ class RDoc::Generator::JsonIndex
      debug_msg "Writing gzipped search index to %s" % outfile
  
diff --git a/meta/recipes-devtools/ruby/ruby/0004-lib-mkmf.rb-sort-list-of-object-files-in-generated-M.patch b/meta/recipes-devtools/ruby/ruby/0004-lib-mkmf.rb-sort-list-of-object-files-in-generated-M.patch
index 5ca182313b..abf68f8953 100644
--- a/meta/recipes-devtools/ruby/ruby/0004-lib-mkmf.rb-sort-list-of-object-files-in-generated-M.patch
+++ b/meta/recipes-devtools/ruby/ruby/0004-lib-mkmf.rb-sort-list-of-object-files-in-generated-M.patch
@@ -1,4 +1,4 @@
-From 932489b67ce9cdf5590a17927ea40d9ea6623668 Mon Sep 17 00:00:00 2001
+From e4dff4063d7747381c45aac13ae4ae872a5530a0 Mon Sep 17 00:00:00 2001
 From: Reiner Herrmann <reiner@reiner-h.de>
 Date: Tue, 10 Oct 2017 15:06:13 -0300
 Subject: [PATCH] lib/mkmf.rb: sort list of object files in generated Makefile
@@ -17,10 +17,10 @@ Signed-off-by: Reiner Herrmann <reiner@reiner-h.de>
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/lib/mkmf.rb b/lib/mkmf.rb
-index 99f3764..62377b6 100644
+index 38a5a15..ead7f0c 100644
 --- a/lib/mkmf.rb
 +++ b/lib/mkmf.rb
-@@ -2480,7 +2480,7 @@ LOCAL_LIBS = #{$LOCAL_LIBS}
+@@ -2493,7 +2493,7 @@ LOCAL_LIBS = #{$LOCAL_LIBS}
  LIBS = #{$LIBRUBYARG} #{$libs} #{$LIBS}
  ORIG_SRCS = #{orig_srcs.collect(&File.method(:basename)).join(' ')}
  SRCS = $(ORIG_SRCS) #{(srcs - orig_srcs).collect(&File.method(:basename)).join(' ')}
diff --git a/meta/recipes-devtools/ruby/ruby/0005-Mark-Gemspec-reproducible-change-fixing-784225-too.patch b/meta/recipes-devtools/ruby/ruby/0005-Mark-Gemspec-reproducible-change-fixing-784225-too.patch
index fd7d3340f3..b660349bd9 100644
--- a/meta/recipes-devtools/ruby/ruby/0005-Mark-Gemspec-reproducible-change-fixing-784225-too.patch
+++ b/meta/recipes-devtools/ruby/ruby/0005-Mark-Gemspec-reproducible-change-fixing-784225-too.patch
@@ -1,4 +1,4 @@
-From 410331577481f331074405e9629ca8db5303aaa8 Mon Sep 17 00:00:00 2001
+From d18b062307b5028cb0579de2bfdfb1d438a9a713 Mon Sep 17 00:00:00 2001
 From: Lucas Kanashiro <kanashiro@debian.org>
 Date: Fri, 1 Nov 2019 15:25:17 -0300
 Subject: [PATCH] Make gemspecs reproducible
@@ -12,10 +12,10 @@ Upstream-Status: Backport [debian]
  1 file changed, 3 insertions(+), 1 deletion(-)
 
 diff --git a/lib/rubygems/specification.rb b/lib/rubygems/specification.rb
-index 0b905a7..a102e3c 100644
+index a9ec6aa..eeed59e 100644
 --- a/lib/rubygems/specification.rb
 +++ b/lib/rubygems/specification.rb
-@@ -1709,7 +1709,9 @@ class Gem::Specification < Gem::BasicSpecification
+@@ -1696,7 +1696,9 @@ class Gem::Specification < Gem::BasicSpecification
                  raise(Gem::InvalidSpecificationException,
                        "invalid date format in specification: #{date.inspect}")
                end
diff --git a/meta/recipes-devtools/ruby/ruby/0006-Make-gemspecs-reproducible.patch b/meta/recipes-devtools/ruby/ruby/0006-Make-gemspecs-reproducible.patch
index e2c80e2f6f..eefe51af07 100644
--- a/meta/recipes-devtools/ruby/ruby/0006-Make-gemspecs-reproducible.patch
+++ b/meta/recipes-devtools/ruby/ruby/0006-Make-gemspecs-reproducible.patch
@@ -1,4 +1,4 @@
-From 2f3d8359ffd1ab07d578c1e991180bc31dc7d143 Mon Sep 17 00:00:00 2001
+From 3b05ab1117c90caf16f5ceb05ad5384c9c94c95c Mon Sep 17 00:00:00 2001
 From: Lucas Kanashiro <kanashiro@debian.org>
 Date: Fri, 1 Nov 2019 15:25:17 -0300
 Subject: [PATCH] Make gemspecs reproducible
@@ -8,17 +8,17 @@ build unreproducible
 
 Upstream-Status: Backport [debian]
 ---
- .bundle/gems/bigdecimal-3.1.8/bigdecimal.gemspec | 1 +
- ext/fiddle/fiddle.gemspec                        | 1 +
+ .bundle/gems/bigdecimal-4.0.1/bigdecimal.gemspec | 1 +
+ .bundle/gems/fiddle-1.1.8/fiddle.gemspec         | 1 +
+ .bundle/gems/rdoc-7.0.3/rdoc.gemspec             | 1 +
  ext/io/console/io-console.gemspec                | 1 +
  lib/ipaddr.gemspec                               | 1 +
- lib/rdoc/rdoc.gemspec                            | 1 +
  5 files changed, 5 insertions(+)
 
-diff --git a/.bundle/gems/bigdecimal-3.1.8/bigdecimal.gemspec b/.bundle/gems/bigdecimal-3.1.8/bigdecimal.gemspec
+diff --git a/.bundle/gems/bigdecimal-4.0.1/bigdecimal.gemspec b/.bundle/gems/bigdecimal-4.0.1/bigdecimal.gemspec
 index b6ef8fd..596b8bb 100644
---- a/.bundle/gems/bigdecimal-3.1.8/bigdecimal.gemspec
-+++ b/.bundle/gems/bigdecimal-3.1.8/bigdecimal.gemspec
+--- a/.bundle/gems/bigdecimal-4.0.1/bigdecimal.gemspec
++++ b/.bundle/gems/bigdecimal-4.0.1/bigdecimal.gemspec
 @@ -14,6 +14,7 @@ Gem::Specification.new do |s|
    s.name          = name
    s.version       = source_version
@@ -27,10 +27,10 @@ index b6ef8fd..596b8bb 100644
    s.email         = ["mrkn@mrkn.jp"]
  
    s.summary       = "Arbitrary-precision decimal floating-point number library."
-diff --git a/ext/fiddle/fiddle.gemspec b/ext/fiddle/fiddle.gemspec
+diff --git a/.bundle/gems/fiddle-1.1.8/fiddle.gemspec b/.bundle/gems/fiddle-1.1.8/fiddle.gemspec
 index 0092f52..f77c224 100644
---- a/ext/fiddle/fiddle.gemspec
-+++ b/ext/fiddle/fiddle.gemspec
+--- a/.bundle/gems/fiddle-1.1.8/fiddle.gemspec
++++ b/.bundle/gems/fiddle-1.1.8/fiddle.gemspec
 @@ -8,6 +8,7 @@ end
  Gem::Specification.new do |spec|
    spec.name          = "fiddle"
@@ -39,6 +39,18 @@ index 0092f52..f77c224 100644
    spec.authors       = ["Aaron Patterson", "SHIBATA Hiroshi"]
    spec.email         = ["aaron@tenderlovemaking.com", "hsbt@ruby-lang.org"]
  
+diff --git a/.bundle/gems/rdoc-7.0.3/rdoc.gemspec b/.bundle/gems/rdoc-7.0.3/rdoc.gemspec
+index ada9341..5871ec2 100644
+--- a/.bundle/gems/rdoc-7.0.3/rdoc.gemspec
++++ b/.bundle/gems/rdoc-7.0.3/rdoc.gemspec
+@@ -7,6 +7,7 @@ end
+ 
+ Gem::Specification.new do |s|
+   s.name = "rdoc"
++  s.date = RUBY_RELEASE_DATE
+   s.version = RDoc::VERSION
+ 
+   s.authors = [
 diff --git a/ext/io/console/io-console.gemspec b/ext/io/console/io-console.gemspec
 index 0a19992..4a80529 100644
 --- a/ext/io/console/io-console.gemspec
@@ -52,7 +64,7 @@ index 0a19992..4a80529 100644
    s.email = "nobu@ruby-lang.org"
    s.description = "add console capabilities to IO instances."
 diff --git a/lib/ipaddr.gemspec b/lib/ipaddr.gemspec
-index 5719f83..fe76260 100644
+index cabc916..f9581b8 100644
 --- a/lib/ipaddr.gemspec
 +++ b/lib/ipaddr.gemspec
 @@ -18,6 +18,7 @@ end
@@ -63,15 +75,3 @@ index 5719f83..fe76260 100644
    spec.authors       = ["Akinori MUSHA", "Hajimu UMEMOTO"]
    spec.email         = ["knu@idaemons.org", "ume@mahoroba.org"]
  
-diff --git a/lib/rdoc/rdoc.gemspec b/lib/rdoc/rdoc.gemspec
-index 47f4802..cf0b5f7 100644
---- a/lib/rdoc/rdoc.gemspec
-+++ b/lib/rdoc/rdoc.gemspec
-@@ -7,6 +7,7 @@ end
- 
- Gem::Specification.new do |s|
-   s.name = "rdoc"
-+  s.date = RUBY_RELEASE_DATE
-   s.version = RDoc::VERSION
- 
-   s.authors = [
diff --git a/meta/recipes-devtools/ruby/ruby/0007-Skip-test_rm_r_no_permissions-test-under-root.patch b/meta/recipes-devtools/ruby/ruby/0007-Skip-test_rm_r_no_permissions-test-under-root.patch
index 780b59092f..d8d589fa6a 100644
--- a/meta/recipes-devtools/ruby/ruby/0007-Skip-test_rm_r_no_permissions-test-under-root.patch
+++ b/meta/recipes-devtools/ruby/ruby/0007-Skip-test_rm_r_no_permissions-test-under-root.patch
@@ -1,4 +1,4 @@
-From eb5a5db74d29fd6369e9871ba1bb254aa0f22f42 Mon Sep 17 00:00:00 2001
+From 62b2e499c29eb9109227ebaeac9131d3517e86a7 Mon Sep 17 00:00:00 2001
 From: Jiaying Song <jiaying.song.cn@windriver.com>
 Date: Mon, 7 Jul 2025 15:05:57 +0800
 Subject: [PATCH] Skip test_rm_r_no_permissions test under root
@@ -13,7 +13,7 @@ Signed-off-by: Jiaying Song <jiaying.song.cn@windriver.com>
  1 file changed, 2 insertions(+), 2 deletions(-)
 
 diff --git a/test/fileutils/test_fileutils.rb b/test/fileutils/test_fileutils.rb
-index d2096a0..80e3368 100644
+index 92308d9..5db74f4 100644
 --- a/test/fileutils/test_fileutils.rb
 +++ b/test/fileutils/test_fileutils.rb
 @@ -768,8 +768,8 @@ class TestFileUtils < Test::Unit::TestCase
diff --git a/meta/recipes-devtools/ruby/ruby_3.4.7.bb b/meta/recipes-devtools/ruby/ruby_4.0.1.bb
similarity index 24%
rename from meta/recipes-devtools/ruby/ruby_3.4.7.bb
rename to meta/recipes-devtools/ruby/ruby_4.0.1.bb
index 2fbcfd1f1b..1ecd5937cc 100644
--- a/meta/recipes-devtools/ruby/ruby_3.4.7.bb
+++ b/meta/recipes-devtools/ruby/ruby_4.0.1.bb
@@ -1,3 +1,320 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING
+# +++ COPYING
+# @@ -1,3 +1,5 @@
+# +{日本語}[rdoc-ref:COPYING.ja]
+# +
+#  Ruby is copyrighted free software by Yukihiro Matsumoto <matz@netlab.jp>.
+#  You can redistribute it and/or modify it under either the terms of the
+#  2-clause BSDL (see the file BSDL), or the conditions below:
+# --- LEGAL
+# +++ LEGAL
+# @@ -371,33 +371,6 @@
+#      TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+#      SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+#  
+# -[spec/lib/turbo_tests/*]
+# -[spec/lib/turbo_tests.rb]
+# -[spec/lib/utils/*]
+# -
+# -  These files are under the MIT License.
+# -
+# -  >>>
+# -    Copyright (c) 2020 Ilya Zub
+# -
+# -    Permission is hereby granted, free of charge, to any person obtaining a copy
+# -    of this software and associated documentation files (the "Software"), to deal
+# -    in the Software without restriction, including without limitation the rights
+# -    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# -    copies of the Software, and to permit persons to whom the Software is
+# -    furnished to do so, subject to the following conditions:
+# -
+# -    The above copyright notice and this permission notice shall be included in
+# -    all copies or substantial portions of the Software.
+# -
+# -    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# -    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# -    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# -    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# -    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# -    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# -    THE SOFTWARE.
+# -
+#  [parse.c]
+#  [parse.h]
+#  
+# @@ -728,6 +701,24 @@
+#      LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+#      OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+#      SUCH DAMAGE.
+# +
+# +[ext/json/vendor/fpconv.c]
+# +
+# +  This file is under the {Boost Software License}[rdoc-ref:@Boost+Software+License+1.0].
+# +
+# +[ext/json/vendor/jeaiii-ltoa.h]
+# +
+# +  >>>
+# +    Copyright (c) 2024,2025 Enrico Thierbach - https://github.com/radiospiel
+# +    Copyright (c) 2022 James Edward Anhalt III - https://github.com/jeaiii/itoa
+# +
+# +    {MIT License}[rdoc-ref:@MIT+License]
+# +  
+# +
+# +[ext/json/ext/vendor/ryu.h]
+# +  This file is adapted from the Ryu algorithm by Ulf Adams https://github.com/ulfjack/ryu.
+# +  It is dual-licensed under {Apache License 2.0}[rdoc-ref:@Apache+License+2.0] OR
+# +  {Boost Software License 1.0}[rdoc-ref:@Boost+Software+License+1.0].
+#  
+#  [ext/psych]
+#  [test/psych]
+# @@ -1075,3 +1066,236 @@
+#  
+#        From ftp://ftp.cs.berkeley.edu/pub/4bsd/README.Impt.License.Change
+#        paragraph 3 above is now null and void.
+# +
+# +== Boost Software License 1.0
+# +
+# +>>>
+# +      Boost Software License - Version 1.0 - August 17th, 2003
+# +    
+# +      Permission is hereby granted, free of charge, to any person or organization
+# +      obtaining a copy of the software and accompanying documentation covered by
+# +      this license (the "Software") to use, reproduce, display, distribute,
+# +      execute, and transmit the Software, and to prepare derivative works of the
+# +      Software, and to permit third-parties to whom the Software is furnished to
+# +      do so, all subject to the following:
+# +    
+# +      The copyright notices in the Software and this entire statement, including
+# +      the above license grant, this restriction and the following disclaimer,
+# +      must be included in all copies of the Software, in whole or in part, and
+# +      all derivative works of the Software, unless such copies or derivative
+# +      works are solely in the form of machine-executable object code generated by
+# +      a source language processor.
+# +    
+# +      THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# +      IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# +      FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
+# +      SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
+# +      FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
+# +      ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
+# +      DEALINGS IN THE SOFTWARE.
+# +
+# +== Apache License 2.0
+# +
+# +>>>
+# +      Apache License
+# +      Version 2.0, January 2004
+# +      http://www.apache.org/licenses/
+# +
+# +      TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION
+# +
+# +      1. Definitions.
+# +
+# +         "License" shall mean the terms and conditions for use, reproduction,
+# +         and distribution as defined by Sections 1 through 9 of this document.
+# +
+# +         "Licensor" shall mean the copyright owner or entity authorized by
+# +         the copyright owner that is granting the License.
+# +
+# +         "Legal Entity" shall mean the union of the acting entity and all
+# +         other entities that control, are controlled by, or are under common
+# +         control with that entity. For the purposes of this definition,
+# +         "control" means (i) the power, direct or indirect, to cause the
+# +         direction or management of such entity, whether by contract or
+# +         otherwise, or (ii) ownership of fifty percent (50%) or more of the
+# +         outstanding shares, or (iii) beneficial ownership of such entity.
+# +
+# +         "You" (or "Your") shall mean an individual or Legal Entity
+# +         exercising permissions granted by this License.
+# +
+# +         "Source" form shall mean the preferred form for making modifications,
+# +         including but not limited to software source code, documentation
+# +         source, and configuration files.
+# +
+# +         "Object" form shall mean any form resulting from mechanical
+# +         transformation or translation of a Source form, including but
+# +         not limited to compiled object code, generated documentation,
+# +         and conversions to other media types.
+# +
+# +         "Work" shall mean the work of authorship, whether in Source or
+# +         Object form, made available under the License, as indicated by a
+# +         copyright notice that is included in or attached to the work
+# +         (an example is provided in the Appendix below).
+# +
+# +         "Derivative Works" shall mean any work, whether in Source or Object
+# +         form, that is based on (or derived from) the Work and for which the
+# +         editorial revisions, annotations, elaborations, or other modifications
+# +         represent, as a whole, an original work of authorship. For the purposes
+# +         of this License, Derivative Works shall not include works that remain
+# +         separable from, or merely link (or bind by name) to the interfaces of,
+# +         the Work and Derivative Works thereof.
+# +
+# +         "Contribution" shall mean any work of authorship, including
+# +         the original version of the Work and any modifications or additions
+# +         to that Work or Derivative Works thereof, that is intentionally
+# +         submitted to Licensor for inclusion in the Work by the copyright owner
+# +         or by an individual or Legal Entity authorized to submit on behalf of
+# +         the copyright owner. For the purposes of this definition, "submitted"
+# +         means any form of electronic, verbal, or written communication sent
+# +         to the Licensor or its representatives, including but not limited to
+# +         communication on electronic mailing lists, source code control systems,
+# +         and issue tracking systems that are managed by, or on behalf of, the
+# +         Licensor for the purpose of discussing and improving the Work, but
+# +         excluding communication that is conspicuously marked or otherwise
+# +         designated in writing by the copyright owner as "Not a Contribution."
+# +
+# +         "Contributor" shall mean Licensor and any individual or Legal Entity
+# +         on behalf of whom a Contribution has been received by Licensor and
+# +         subsequently incorporated within the Work.
+# +
+# +      2. Grant of Copyright License. Subject to the terms and conditions of
+# +         this License, each Contributor hereby grants to You a perpetual,
+# +         worldwide, non-exclusive, no-charge, royalty-free, irrevocable
+# +         copyright license to reproduce, prepare Derivative Works of,
+# +         publicly display, publicly perform, sublicense, and distribute the
+# +         Work and such Derivative Works in Source or Object form.
+# +
+# +      3. Grant of Patent License. Subject to the terms and conditions of
+# +         this License, each Contributor hereby grants to You a perpetual,
+# +         worldwide, non-exclusive, no-charge, royalty-free, irrevocable
+# +         (except as stated in this section) patent license to make, have made,
+# +         use, offer to sell, sell, import, and otherwise transfer the Work,
+# +         where such license applies only to those patent claims licensable
+# +         by such Contributor that are necessarily infringed by their
+# +         Contribution(s) alone or by combination of their Contribution(s)
+# +         with the Work to which such Contribution(s) was submitted. If You
+# +         institute patent litigation against any entity (including a
+# +         cross-claim or counterclaim in a lawsuit) alleging that the Work
+# +         or a Contribution incorporated within the Work constitutes direct
+# +         or contributory patent infringement, then any patent licenses
+# +         granted to You under this License for that Work shall terminate
+# +         as of the date such litigation is filed.
+# +
+# +      4. Redistribution. You may reproduce and distribute copies of the
+# +         Work or Derivative Works thereof in any medium, with or without
+# +         modifications, and in Source or Object form, provided that You
+# +         meet the following conditions:
+# +
+# +         a.  You must give any other recipients of the Work or
+# +             Derivative Works a copy of this License; and
+# +
+# +         b.  You must cause any modified files to carry prominent notices
+# +             stating that You changed the files; and
+# +
+# +         c.  You must retain, in the Source form of any Derivative Works
+# +             that You distribute, all copyright, patent, trademark, and
+# +             attribution notices from the Source form of the Work,
+# +             excluding those notices that do not pertain to any part of
+# +             the Derivative Works; and
+# +
+# +         d.  If the Work includes a "NOTICE" text file as part of its
+# +             distribution, then any Derivative Works that You distribute must
+# +             include a readable copy of the attribution notices contained
+# +             within such NOTICE file, excluding those notices that do not
+# +             pertain to any part of the Derivative Works, in at least one
+# +             of the following places: within a NOTICE text file distributed
+# +             as part of the Derivative Works; within the Source form or
+# +             documentation, if provided along with the Derivative Works; or,
+# +             within a display generated by the Derivative Works, if and
+# +             wherever such third-party notices normally appear. The contents
+# +             of the NOTICE file are for informational purposes only and
+# +             do not modify the License. You may add Your own attribution
+# +             notices within Derivative Works that You distribute, alongside
+# +             or as an addendum to the NOTICE text from the Work, provided
+# +             that such additional attribution notices cannot be construed
+# +             as modifying the License.
+# +
+# +         You may add Your own copyright statement to Your modifications and
+# +         may provide additional or different license terms and conditions
+# +         for use, reproduction, or distribution of Your modifications, or
+# +         for any such Derivative Works as a whole, provided Your use,
+# +         reproduction, and distribution of the Work otherwise complies with
+# +         the conditions stated in this License.
+# +
+# +      5. Submission of Contributions. Unless You explicitly state otherwise,
+# +         any Contribution intentionally submitted for inclusion in the Work
+# +         by You to the Licensor shall be under the terms and conditions of
+# +         this License, without any additional terms or conditions.
+# +         Notwithstanding the above, nothing herein shall supersede or modify
+# +         the terms of any separate license agreement you may have executed
+# +         with Licensor regarding such Contributions.
+# +
+# +      6. Trademarks. This License does not grant permission to use the trade
+# +         names, trademarks, service marks, or product names of the Licensor,
+# +         except as required for reasonable and customary use in describing the
+# +         origin of the Work and reproducing the content of the NOTICE file.
+# +
+# +      7. Disclaimer of Warranty. Unless required by applicable law or
+# +         agreed to in writing, Licensor provides the Work (and each
+# +         Contributor provides its Contributions) on an "AS IS" BASIS,
+# +         WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# +         implied, including, without limitation, any warranties or conditions
+# +         of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
+# +         PARTICULAR PURPOSE. You are solely responsible for determining the
+# +         appropriateness of using or redistributing the Work and assume any
+# +         risks associated with Your exercise of permissions under this License.
+# +
+# +      8. Limitation of Liability. In no event and under no legal theory,
+# +         whether in tort (including negligence), contract, or otherwise,
+# +         unless required by applicable law (such as deliberate and grossly
+# +         negligent acts) or agreed to in writing, shall any Contributor be
+# +         liable to You for damages, including any direct, indirect, special,
+# +         incidental, or consequential damages of any character arising as a
+# +         result of this License or out of the use or inability to use the
+# +         Work (including but not limited to damages for loss of goodwill,
+# +         work stoppage, computer failure or malfunction, or any and all
+# +         other commercial damages or losses), even if such Contributor
+# +         has been advised of the possibility of such damages.
+# +
+# +      9. Accepting Warranty or Additional Liability. While redistributing
+# +         the Work or Derivative Works thereof, You may choose to offer,
+# +         and charge a fee for, acceptance of support, warranty, indemnity,
+# +         or other liability obligations and/or rights consistent with this
+# +         License. However, in accepting such obligations, You may act only
+# +         on Your own behalf and on Your sole responsibility, not on behalf
+# +         of any other Contributor, and only if You agree to indemnify,
+# +         defend, and hold each Contributor harmless for any liability
+# +         incurred by, or claims asserted against, such Contributor by reason
+# +         of your accepting any such warranty or additional liability.
+# +
+# +      END OF TERMS AND CONDITIONS
+# +
+# +      APPENDIX: How to apply the Apache License to your work.
+# +
+# +      >>>
+# +         To apply the Apache License to your work, attach the following
+# +         boilerplate notice, with the fields enclosed by brackets "[]"
+# +         replaced with your own identifying information. (Don't include
+# +         the brackets!)  The text should be enclosed in the appropriate
+# +         comment syntax for the file format. We also recommend that a
+# +         file or class name and description of purpose be included on the
+# +         same "printed page" as the copyright notice for easier
+# +         identification within third-party archives.
+# +
+# +      Copyright [yyyy] [name of copyright owner]
+# +
+# +      Licensed under the Apache License, Version 2.0 (the "License");
+# +      you may not use this file except in compliance with the License.
+# +      You may obtain a copy of the License at
+# +
+# +          http://www.apache.org/licenses/LICENSE-2.0
+# +
+# +      Unless required by applicable law or agreed to in writing, software
+# +      distributed under the License is distributed on an "AS IS" BASIS,
+# +      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# +      See the License for the specific language governing permissions and
+# +      limitations under the License.
+# 
+#
+
 SUMMARY = "An interpreter of object-oriented scripting language"
 DESCRIPTION = "Ruby is an interpreted scripting language for quick \
 and easy object-oriented programming. It has many features to process \
@@ -7,10 +324,10 @@ It is simple, straight-forward, and extensible. \
 HOMEPAGE = "http://www.ruby-lang.org/"
 SECTION = "devel/ruby"
 LICENSE = "Ruby | BSD-2-Clause | BSD-3-Clause | GPL-2.0-only | ISC | MIT"
-LIC_FILES_CHKSUM = "file://COPYING;md5=5b8c87559868796979806100db3f3805 \
+LIC_FILES_CHKSUM = "file://COPYING;md5=7674b1080a488809841b13eb57ffb719 \
                     file://BSDL;md5=8b50bc6de8f586dc66790ba11d064d75 \
                     file://GPL;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
-                    file://LEGAL;md5=cb14358b7821c054ae14128885170204 \
+                    file://LEGAL;md5=8c128bc6252da28f51e60e72b5512478 \
                     "
 
 DEPENDS = "zlib openssl libyaml libffi"
@@ -49,7 +366,7 @@ do_configure:prepend() {
 
 DEPENDS:append:libc-musl = " libucontext"
 
-SRC_URI[sha256sum] = "23815a6d095696f7919090fdc3e2f9459b2c83d57224b2e446ce1f5f7333ef36"
+SRC_URI[sha256sum] = "3924be2d05db30f4e35f859bf028be85f4b7dd01714142fd823e4af5de2faf9d"
 
 PACKAGECONFIG ??= ""
 PACKAGECONFIG += "${@bb.utils.filter('DISTRO_FEATURES', 'ipv6', d)}"
-- 
2.47.1

